Debian Bug report logs - #400322
Architecture restrictions allowed for binary dependencies

version graph

Package: debian-policy; Maintainer for debian-policy is Debian Policy List <debian-policy@lists.debian.org>; Source for debian-policy is src:debian-policy.

Reported by: Holger Levsen <holger@layer-acht.org>

Date: Sat, 25 Nov 2006 11:33:07 UTC

Severity: wishlist

Found in version debian-policy/3.7.2.2

Fixed in version debian-policy/3.9.1.0

Done: Russ Allbery <rra@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#400322; Package debian-policy. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <debian@layer-acht.org>:
New Bug report received and forwarded. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Holger Levsen <debian@layer-acht.org>
To: submit@bugs.debian.org
Subject: Chapter 7.x: please specify more explicitly which fields can be restricted to archs
Date: Sat, 25 Nov 2006 12:05:00 +0100
[Message part 1 (text/plain, inline)]
package: debian-policy
version: 3.7.2.2
severity: wishlist

Hi,

"7.1 Syntax of relationship fields" says "All fields that specify build-time 
relationships (Build-Depends, Build-Depends-Indep, Build-Conflicts and 
Build-Conflicts-Indep) may be restricted to a certain set of architectures."

In "7.2 Binary Dependencies - Depends, Recommends, Suggests, Enhances, 
Pre-Depends" there is no such statement, please add it or rephrase the 
statement in 7.1.

A clarification would also be nice in 7.3, 7.4 and 7.5.

Thanks.


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Changed Bug submitter from Holger Levsen <debian@layer-acht.org> to Holger Levsen <holger@layer-acht.org>. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Fri, 25 Jan 2008 22:43:23 GMT) Full text and rfc822 format available.

Changed Bug title to `Specify which dependency fields may be restricted by arch' from `Chapter 7.x: please specify more explicitly which fields can be restricted to archs'. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Mon, 17 Mar 2008 05:24:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#400322; Package debian-policy. (Fri, 19 Feb 2010 16:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 19 Feb 2010 16:03:03 GMT) Full text and rfc822 format available.

Message #14 received at 400322@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: debian-policy@lists.debian.org, debian-boot@lists.debian.org
Cc: 400322@bugs.debian.org
Subject: Re: Limiting non-build-time relationships to a set of architectures?
Date: Fri, 19 Feb 2010 17:00:21 +0100
Hi!

[ CCing #400322 for the additional data. ]

On Tue, 2010-02-09 at 20:25:11 +0100, Cyril Brulebois wrote:
> Frans Pop <elendil@planet.nl> (09/02/2010):
> > On Tuesday 09 February 2010, Cyril Brulebois wrote:
> > > Frans Pop <elendil@planet.nl> (09/02/2010):
> > > > This format is not (yet) allowed by policy: rootskel-gtk
> > > > (>=0.05) [!s390] (except for build dependencies)
> > >
> > > AFAICT, it just works, and not only for Build-Depends. It can't be
> > > used for an arch: all package, though, since it gets substituted
> > > at build time, so it probably won't do what you would want.
> > 
> > I know that it is going to be allowed in the future and because of
> > that I don't doubt that it (mostly?) works.  But AFAIK *currently*
> > it's not allowed by policy [1], except for build deps. And thus it
> > should not yet be used in uploads.

Actually checking now, there does not seem to have been any wording
proposed yet on #400322, I might try to come up with one.

> Oops, indeed. Looks like I forgot about that particular point, thanks
> for pointing this out. It looks like I've been taking it granted for
> quite some time.

Hmm, I also seem to have forgotten about this (I'll call that fair
bias :). I was curious anyway about how long this support has been
around as I thought it had been long, so did some digging the other
day:

 * Introduced in dpkg 1.10.11 (Tue, 16 Sep 2003 12:52:11 -0500)
   Bug: #170575

 * Regression in dpkg 1.10.14 (Fri, 19 Sep 2003 12:29:34 -0500)

 * Fixed again in dpkg 1.13.17 (Mon, 20 Mar 2006 03:33:03 +0200)
   Bugs: #252657, #324741, #347819

Also I don't think much tools except for dpkg-dev scripts actually
parse the dependency fields in the binary package stanzas in
debian/control. So this should supposedly not break stuff (but then
I've not checked, etc).

> > A reference to an (official) statement from FTP-masters would be.
> 
> I'd rather have -policy@ folks share their mind about it. I guess
> updating the Policy to allow limiting non-build-time relationships
> (Depends, Recommends, …) to some architectures would be nice to
> have.

Right. And I don't see why ftp-masters would have a special say on
this issue either.

> I'm not sure whether warning people about the substitution which
> happens at build time[1] would have its place in the Policy since that
> could be considered an (dpkg-dev) implementation detail (but that can
> cause some headaches).

> [1] Meaning an Architecture: all package with Depends: foo [bar] will
>     have foo, or won't have foo, depending on which architecture it
>     will be built upon, rather than the conditional Depends stored in
>     the resulting binary.

Yeah, this is something the dpkg scripts should detect and error out
on, I've added it to the TODO list (to be pushed).

thanks,
guillem




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#400322; Package debian-policy. (Sun, 04 Jul 2010 05:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sun, 04 Jul 2010 05:30:03 GMT) Full text and rfc822 format available.

Message #19 received at 400322@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 400322@bugs.debian.org, Guillem Jover <guillem@debian.org>
Subject: Re: Bug#400322: Limiting non-build-time relationships to a set of architectures?
Date: Sat, 03 Jul 2010 22:26:27 -0700
Quoting a lot here for context on this old Policy bug.

Guillem Jover <guillem@debian.org> writes:
> On Tue, 2010-02-09 at 20:25:11 +0100, Cyril Brulebois wrote:
>> Frans Pop <elendil@planet.nl> (09/02/2010):
>>> On Tuesday 09 February 2010, Cyril Brulebois wrote:
>>>> Frans Pop <elendil@planet.nl> (09/02/2010):

>>>>> This format is not (yet) allowed by policy: rootskel-gtk
>>>>> (>=0.05) [!s390] (except for build dependencies)

>>>> AFAICT, it just works, and not only for Build-Depends. It can't be
>>>> used for an arch: all package, though, since it gets substituted at
>>>> build time, so it probably won't do what you would want.

>>> I know that it is going to be allowed in the future and because of
>>> that I don't doubt that it (mostly?) works.  But AFAIK *currently*
>>> it's not allowed by policy [1], except for build deps. And thus it
>>> should not yet be used in uploads.

> Actually checking now, there does not seem to have been any wording
> proposed yet on #400322, I might try to come up with one.

>> Oops, indeed. Looks like I forgot about that particular point, thanks
>> for pointing this out. It looks like I've been taking it granted for
>> quite some time.

> Hmm, I also seem to have forgotten about this (I'll call that fair
> bias :). I was curious anyway about how long this support has been
> around as I thought it had been long, so did some digging the other
> day:

>  * Introduced in dpkg 1.10.11 (Tue, 16 Sep 2003 12:52:11 -0500)
>    Bug: #170575

>  * Regression in dpkg 1.10.14 (Fri, 19 Sep 2003 12:29:34 -0500)

>  * Fixed again in dpkg 1.13.17 (Mon, 20 Mar 2006 03:33:03 +0200)
>    Bugs: #252657, #324741, #347819

> Also I don't think much tools except for dpkg-dev scripts actually parse
> the dependency fields in the binary package stanzas in
> debian/control. So this should supposedly not break stuff (but then I've
> not checked, etc).

If this already works, we should document it, since it can be quite
useful.  Here's an attempt at wording.  Please check this and make sure
that I'm correctly documenting what works.

Do architecture restrictions work with Provides?  This documentation says
that they do, but I can easily correct that if it's wrong.

diff --git a/policy.sgml b/policy.sgml
index bad28af..316f753 100644
--- a/policy.sgml
+++ b/policy.sgml
@@ -4373,21 +4373,24 @@ Depends: libc6 (>= 2.2.1), exim | mail-transport-agent
 	</p>
 
         <p>
-          All fields that specify build-time relationships
+	  Relationships may be restricted to a certain set of
+	  architectures.  This is indicated in brackets after each
+	  individual package name and the optional version specification.
+	  The brackets enclose a list of Debian architecture names
+	  separated by whitespace.  Exclamation marks may be prepended to
+	  each of the names.  (It is not permitted for some names to be
+	  prepended with exclamation marks while others aren't.)
+	</p>
+
+	<p>
+	  For build relationship fields
 	  (<tt>Build-Depends</tt>, <tt>Build-Depends-Indep</tt>,
-	  <tt>Build-Conflicts</tt> and <tt>Build-Conflicts-Indep</tt>)
-	  may be restricted to a certain set of architectures.  This
-	  is indicated in brackets after each individual package name and
-	  the optional version specification.  The brackets enclose a
-	  list of Debian architecture names separated by whitespace.
-	  Exclamation marks may be prepended to each of the names.
-	  (It is not permitted for some names to be prepended with
-	  exclamation marks while others aren't.) If the current Debian
-	  host architecture is not in this list and there are no
-	  exclamation marks in the list, or it is in the list with a
-	  prepended exclamation mark, the package name and the
-	  associated version specification are ignored completely for
-	  the purposes of defining the relationships.
+	  <tt>Build-Conflicts</tt> and <tt>Build-Conflicts-Indep</tt>), if
+	  the current Debian host architecture is not in this list and
+	  there are no exclamation marks in the list, or it is in the list
+	  with a prepended exclamation mark, the package name and the
+	  associated version specification are ignored completely for the
+	  purposes of defining the relationships.
 	</p>
 
 	<p>
@@ -4404,6 +4407,29 @@ Build-Depends: kernel-headers-2.2.10 [!hurd-i386],
 	</p>
 
 	<p>
+	  For binary relationship fields, the architecture restriction
+	  syntax is only supported in the source package control
+	  file <file>debian/control</file>.  When the corresponding binary
+	  package control file is generated, the relationship will either
+	  be omitted or included without the architecture restriction
+	  based on the architecture of the binary package.  This means
+	  that architecture restrictions must not be used in binary
+	  relationship fields for architecture-independent packages
+	  (<tt>Architecture: all</tt>).
+	</p>
+
+	<p>
+	  For example:
+	  <example compact="compact">
+Depends: foo [i386], bar [amd64]
+	  </example>
+	  becomes <tt>Depends: foo</tt> when the package is built on
+	  the <tt>i386</tt> architecture, <tt>Depends: bar</tt> when the
+	  package is built on the <tt>amd64</tt> architecture, and omitted
+	  entirely in binary packages built on all other architectures.
+	</p>
+
+	<p>
 	  If the architecture-restricted dependency is part of a set of
 	  alternatives using <tt>|</tt>, that alternative is ignored
 	  completely on architectures that do not match the restriction.
@@ -4417,11 +4443,11 @@ Build-Depends: foo [!i386] | bar [!amd64]
 	</p>
 
         <p>
-	  All fields that specify build-time relationships may also be
-	  restricted to a certain set of architectures using architecture
-	  wildcards.  The syntax for declaring such restrictions is the
-	  same as declaring restrictions using a certain set of
-	  architectures without architecture wildcards.  For example:
+	  Relationships may also be restricted to a certain set of
+	  architectures using architecture wildcards.  The syntax for
+	  declaring such restrictions is the same as declaring
+	  restrictions using a certain set of architectures without
+	  architecture wildcards.  For example:
           <example compact="compact">
 Build-Depends: foo [linux-any], bar [any-i386], baz [!linux-any]
           </example>

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Added tag(s) patch. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Sun, 04 Jul 2010 05:30:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#400322; Package debian-policy. (Sun, 04 Jul 2010 07:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sun, 04 Jul 2010 07:06:03 GMT) Full text and rfc822 format available.

Message #26 received at 400322@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Russ Allbery <rra@debian.org>, 400322@bugs.debian.org
Subject: Re: Bug#400322: Limiting non-build-time relationships to a set of architectures?
Date: Sun, 4 Jul 2010 09:02:49 +0200
[Message part 1 (text/plain, inline)]
Hi!

On Sat, 2010-07-03 at 22:26:27 -0700, Russ Allbery wrote:
> If this already works, we should document it, since it can be quite
> useful.  Here's an attempt at wording.  Please check this and make sure
> that I'm correctly documenting what works.
> 
> Do architecture restrictions work with Provides?  This documentation says
> that they do, but I can easily correct that if it's wrong.

Yes, they do.

> diff --git a/policy.sgml b/policy.sgml
> index bad28af..316f753 100644
> --- a/policy.sgml
> +++ b/policy.sgml
> @@ -4373,21 +4373,24 @@ Depends: libc6 (>= 2.2.1), exim | mail-transport-agent
>  	</p>
>  
>          <p>
> -          All fields that specify build-time relationships
> +	  Relationships may be restricted to a certain set of
> +	  architectures.  This is indicated in brackets after each
> +	  individual package name and the optional version specification.
> +	  The brackets enclose a list of Debian architecture names
> +	  separated by whitespace.  Exclamation marks may be prepended to
> +	  each of the names.  (It is not permitted for some names to be
> +	  prepended with exclamation marks while others aren't.)
> +	</p>
> +
> +	<p>
> +	  For build relationship fields
>  	  (<tt>Build-Depends</tt>, <tt>Build-Depends-Indep</tt>,
> -	  <tt>Build-Conflicts</tt> and <tt>Build-Conflicts-Indep</tt>)
> -	  may be restricted to a certain set of architectures.  This
> -	  is indicated in brackets after each individual package name and
> -	  the optional version specification.  The brackets enclose a
> -	  list of Debian architecture names separated by whitespace.
> -	  Exclamation marks may be prepended to each of the names.
> -	  (It is not permitted for some names to be prepended with
> -	  exclamation marks while others aren't.) If the current Debian
> -	  host architecture is not in this list and there are no
> -	  exclamation marks in the list, or it is in the list with a
> -	  prepended exclamation mark, the package name and the
> -	  associated version specification are ignored completely for
> -	  the purposes of defining the relationships.
> +	  <tt>Build-Conflicts</tt> and <tt>Build-Conflicts-Indep</tt>), if
> +	  the current Debian host architecture is not in this list and
> +	  there are no exclamation marks in the list, or it is in the list
> +	  with a prepended exclamation mark, the package name and the
> +	  associated version specification are ignored completely for the
> +	  purposes of defining the relationships.
>  	</p>
>  
>  	<p>
> @@ -4404,6 +4407,29 @@ Build-Depends: kernel-headers-2.2.10 [!hurd-i386],
>  	</p>
>  
>  	<p>
> +	  For binary relationship fields, the architecture restriction
> +	  syntax is only supported in the source package control
> +	  file <file>debian/control</file>.  When the corresponding binary
> +	  package control file is generated, the relationship will either
> +	  be omitted or included without the architecture restriction
> +	  based on the architecture of the binary package.  This means
> +	  that architecture restrictions must not be used in binary
> +	  relationship fields for architecture-independent packages
> +	  (<tt>Architecture: all</tt>).
> +	</p>
> +
> +	<p>
> +	  For example:
> +	  <example compact="compact">
> +Depends: foo [i386], bar [amd64]
> +	  </example>
> +	  becomes <tt>Depends: foo</tt> when the package is built on
> +	  the <tt>i386</tt> architecture, <tt>Depends: bar</tt> when the
> +	  package is built on the <tt>amd64</tt> architecture, and omitted
> +	  entirely in binary packages built on all other architectures.
> +	</p>
> +
> +	<p>
>  	  If the architecture-restricted dependency is part of a set of
>  	  alternatives using <tt>|</tt>, that alternative is ignored
>  	  completely on architectures that do not match the restriction.
> @@ -4417,11 +4443,11 @@ Build-Depends: foo [!i386] | bar [!amd64]
>  	</p>
>  
>          <p>
> -	  All fields that specify build-time relationships may also be
> -	  restricted to a certain set of architectures using architecture
> -	  wildcards.  The syntax for declaring such restrictions is the
> -	  same as declaring restrictions using a certain set of
> -	  architectures without architecture wildcards.  For example:
> +	  Relationships may also be restricted to a certain set of
> +	  architectures using architecture wildcards.  The syntax for
> +	  declaring such restrictions is the same as declaring
> +	  restrictions using a certain set of architectures without
> +	  architecture wildcards.  For example:
>            <example compact="compact">
>  Build-Depends: foo [linux-any], bar [any-i386], baz [!linux-any]
>            </example>

Seconded.

regards,
guillem
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#400322; Package debian-policy. (Sun, 04 Jul 2010 19:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Sun, 04 Jul 2010 19:33:03 GMT) Full text and rfc822 format available.

Message #31 received at 400322@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Russ Allbery <rra@debian.org>, 400322@bugs.debian.org
Subject: Re: Bug#400322: Limiting non-build-time relationships to a set of architectures?
Date: Sun, 4 Jul 2010 21:31:15 +0200
[Message part 1 (text/plain, inline)]
Hi,

I'm seconding the change below.

Cheers,

On Sat, 03 Jul 2010, Russ Allbery wrote:
> diff --git a/policy.sgml b/policy.sgml
> index bad28af..316f753 100644
> --- a/policy.sgml
> +++ b/policy.sgml
> @@ -4373,21 +4373,24 @@ Depends: libc6 (>= 2.2.1), exim | mail-transport-agent
>  	</p>
>  
>          <p>
> -          All fields that specify build-time relationships
> +	  Relationships may be restricted to a certain set of
> +	  architectures.  This is indicated in brackets after each
> +	  individual package name and the optional version specification.
> +	  The brackets enclose a list of Debian architecture names
> +	  separated by whitespace.  Exclamation marks may be prepended to
> +	  each of the names.  (It is not permitted for some names to be
> +	  prepended with exclamation marks while others aren't.)
> +	</p>
> +
> +	<p>
> +	  For build relationship fields
>  	  (<tt>Build-Depends</tt>, <tt>Build-Depends-Indep</tt>,
> -	  <tt>Build-Conflicts</tt> and <tt>Build-Conflicts-Indep</tt>)
> -	  may be restricted to a certain set of architectures.  This
> -	  is indicated in brackets after each individual package name and
> -	  the optional version specification.  The brackets enclose a
> -	  list of Debian architecture names separated by whitespace.
> -	  Exclamation marks may be prepended to each of the names.
> -	  (It is not permitted for some names to be prepended with
> -	  exclamation marks while others aren't.) If the current Debian
> -	  host architecture is not in this list and there are no
> -	  exclamation marks in the list, or it is in the list with a
> -	  prepended exclamation mark, the package name and the
> -	  associated version specification are ignored completely for
> -	  the purposes of defining the relationships.
> +	  <tt>Build-Conflicts</tt> and <tt>Build-Conflicts-Indep</tt>), if
> +	  the current Debian host architecture is not in this list and
> +	  there are no exclamation marks in the list, or it is in the list
> +	  with a prepended exclamation mark, the package name and the
> +	  associated version specification are ignored completely for the
> +	  purposes of defining the relationships.
>  	</p>
>  
>  	<p>
> @@ -4404,6 +4407,29 @@ Build-Depends: kernel-headers-2.2.10 [!hurd-i386],
>  	</p>
>  
>  	<p>
> +	  For binary relationship fields, the architecture restriction
> +	  syntax is only supported in the source package control
> +	  file <file>debian/control</file>.  When the corresponding binary
> +	  package control file is generated, the relationship will either
> +	  be omitted or included without the architecture restriction
> +	  based on the architecture of the binary package.  This means
> +	  that architecture restrictions must not be used in binary
> +	  relationship fields for architecture-independent packages
> +	  (<tt>Architecture: all</tt>).
> +	</p>
> +
> +	<p>
> +	  For example:
> +	  <example compact="compact">
> +Depends: foo [i386], bar [amd64]
> +	  </example>
> +	  becomes <tt>Depends: foo</tt> when the package is built on
> +	  the <tt>i386</tt> architecture, <tt>Depends: bar</tt> when the
> +	  package is built on the <tt>amd64</tt> architecture, and omitted
> +	  entirely in binary packages built on all other architectures.
> +	</p>
> +
> +	<p>
>  	  If the architecture-restricted dependency is part of a set of
>  	  alternatives using <tt>|</tt>, that alternative is ignored
>  	  completely on architectures that do not match the restriction.
> @@ -4417,11 +4443,11 @@ Build-Depends: foo [!i386] | bar [!amd64]
>  	</p>
>  
>          <p>
> -	  All fields that specify build-time relationships may also be
> -	  restricted to a certain set of architectures using architecture
> -	  wildcards.  The syntax for declaring such restrictions is the
> -	  same as declaring restrictions using a certain set of
> -	  architectures without architecture wildcards.  For example:
> +	  Relationships may also be restricted to a certain set of
> +	  architectures using architecture wildcards.  The syntax for
> +	  declaring such restrictions is the same as declaring
> +	  restrictions using a certain set of architectures without
> +	  architecture wildcards.  For example:
>            <example compact="compact">
>  Build-Depends: foo [linux-any], bar [any-i386], baz [!linux-any]
>            </example>
> 
> -- 
> Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>
> 
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-policy-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/87bpanhl6k.fsf@windlord.stanford.edu
> 

-- 
Raphaël Hertzog

Follow my Debian News on http://RaphaelHertzog.com
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#400322; Package debian-policy. (Wed, 07 Jul 2010 15:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russ Allbery <rra@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Wed, 07 Jul 2010 15:51:02 GMT) Full text and rfc822 format available.

Message #36 received at 400322@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 400322@bugs.debian.org
Subject: Re: Bug#400322: Limiting non-build-time relationships to a set of architectures?
Date: Wed, 07 Jul 2010 08:49:34 -0700
Russ Allbery <rra@debian.org> writes:

> If this already works, we should document it, since it can be quite
> useful.  Here's an attempt at wording.  Please check this and make sure
> that I'm correctly documenting what works.

I've now merged this patch for the next release.

-- 
Russ Allbery (rra@debian.org)               <http://www.eyrie.org/~eagle/>




Added tag(s) pending; removed tag(s) patch. Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Wed, 07 Jul 2010 15:51:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'Architecture restrictions allowed for binary dependencies' from 'Specify which dependency fields may be restricted by arch' Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Fri, 16 Jul 2010 17:33:06 GMT) Full text and rfc822 format available.

Reply sent to Russ Allbery <rra@debian.org>:
You have taken responsibility. (Mon, 26 Jul 2010 05:06:14 GMT) Full text and rfc822 format available.

Notification sent to Holger Levsen <holger@layer-acht.org>:
Bug acknowledged by developer. (Mon, 26 Jul 2010 05:06:14 GMT) Full text and rfc822 format available.

Message #45 received at 400322-close@bugs.debian.org (full text, mbox):

From: Russ Allbery <rra@debian.org>
To: 400322-close@bugs.debian.org
Subject: Bug#400322: fixed in debian-policy 3.9.1.0
Date: Mon, 26 Jul 2010 05:02:06 +0000
Source: debian-policy
Source-Version: 3.9.1.0

We believe that the bug you reported is fixed in the latest version of
debian-policy, which is due to be installed in the Debian FTP archive:

debian-policy_3.9.1.0.dsc
  to main/d/debian-policy/debian-policy_3.9.1.0.dsc
debian-policy_3.9.1.0.tar.gz
  to main/d/debian-policy/debian-policy_3.9.1.0.tar.gz
debian-policy_3.9.1.0_all.deb
  to main/d/debian-policy/debian-policy_3.9.1.0_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 400322@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Russ Allbery <rra@debian.org> (supplier of updated debian-policy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 25 Jul 2010 19:38:21 -0700
Source: debian-policy
Binary: debian-policy
Architecture: source all
Version: 3.9.1.0
Distribution: unstable
Urgency: low
Maintainer: Debian Policy List <debian-policy@lists.debian.org>
Changed-By: Russ Allbery <rra@debian.org>
Description: 
 debian-policy - Debian Policy Manual and related documents
Closes: 104373 175202 184064 186102 218897 232448 400322 402721 436105 445203 475101 477240 509932 509933 555977 561413 588750 589362 589605 589609
Changes: 
 debian-policy (3.9.1.0) unstable; urgency=low
 .
   * Policy: Include GPL version 1 in common-licenses
     Wording: Russ Allbery <rra@debian.org>
     Seconded: gregor herrmann <gregoa@debian.org>
     Seconded: Damyan Ivanov <dmn@debian.org>
     Seconded: Giacomo A. Catenazzi <cate@debian.org>
     Closes: #436105
   * Policy: Libtool *.la files should generally not be installed
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Julien Cristau <jcristau@debian.org>
     Seconded: Cyril Brulebois <kibi@debian.org>
     Closes: #561413
   * Policy: Require dpkg-divert --package when adding/removing diversions
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Seconded: Raphael Geissert <geissert@debian.org>
     Closes: #218897
   * Policy: Remove encouragement to create shlibs.local
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Julien Cristau <jcristau@debian.org>
     Seconded: Jakub Wilk <jwilk@debian.org>
     Seconded: Cyril Brulebois <kibi@debian.org>
   * Policy: Document alternate SONAME format with version before .so
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Julien Cristau <jcristau@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Closes: #509932
   * Policy: Architecture wildcards also allowed in binary relationships
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Closes: #400322
   * Policy: Say Conflicts should not be used unless necessary
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Seconded: Jakub Wilk <jwilk@debian.org>
     Closes: #402721
   * Policy: Remove obsolete _REENTRANT, require thread-safe libraries
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Kurt Roeckx <kurt@roeckx.be>
     Seconded: Giacomo A. Catenazzi <cate@debian.org>
     Closes: #475101
   * Policy: Allow subdirectories of /usr/lib/cgi-bin to be used
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Andrew McMillan <andrew@morphoss.com>
     Seconded: Charles Plessy <plessy@debian.org>
     Closes: #104373
   * Policy: More specific requirements around date-based versions
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Julien Cristau <jcristau@debian.org>
     Seconded: Cyril Brulebois <kibi@debian.org>
     Seconded: Steve Langasek <vorlon@debian.org>
     Closes: #186102
   * Policy: Require slave alternatives for manual pages
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Seconded: Jakub Wilk <jwilk@debian.org>
     Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
     Closes: #184064
   * Policy: More explicit requirements around library SONAMEs
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Raphaël Hertzog <hertzog@debian.org>
     Seconded: Emilio Pozuelo Monfort <pochu27@gmail.com>
     Closes: #509933
   * Policy: Only dpkg-gencontrol supports variable substitutions
     Wording: Charles Plessy <plessy@debian.org>
     Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Closes: #589609
   * Policy: Ada Library Information files must be read-only
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
     Seconded: Ludovic Brenta <ludovic@ludovic-brenta.org>
     Closes: #232448
   * Policy: Recommend /etc/logrotate.d/package for logrotate rules
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Guillem Jover <guillem@debian.org>
     Seconded: Thijs Kinkhorst <thijs@debian.org>
     Closes: #445203
   * Policy: Allow /bin/sh scripts to rely on XSI for kill and trap
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Giacomo A. Catenazzi <cate@debian.org>
     Seconded: Raphael Geissert <geissert@debian.org>
     Closes: #477240
   * Policy: Ownership and permissions for control information files
     Wording: Russ Allbery <rra@debian.org>
     Seconded: Emilio Pozuelo Monfort <pochu@debian.org>
     Seconded: Julien Cristau <jcristau@debian.org>
     Closes: #555977
   * Set the version of the Perl Policy to match the version of the Policy
     package.
   * Explain the Perl module package naming policy more explicitly and
     provide some examples.  (Closes: #175202)
   * Revise the footnote discussing shlibs creation to not talk about the
     switch to objdump as if it were a new innovation and to explicitly
     mention the NEEDED attribute as the source of dependency information.
   * Introduce "control information file" to refer to the contents of the
     Debian package control.tar.gz, following the dpkg documentation.  Use
     that terminology consistently, and change possibly confusing
     references to fields in control files to use "control field"
     uniformly.
   * Document that the first line of the changelog entry is conventionally
     an explanation for the upload if the uploader is not the regular
     maintainer.  Patch from Charles Plessy.  (Closes: #589605)
   * Fix typo in upgrading-checklist.  (Closes: #588750)
   * Fix formatting error in footnote to 7.7.  (Closes: #589362)
   * Remove ancient Conflicts and Replaces.
Checksums-Sha1: 
 1dc24a34db96f2c812fc560281cd3460256f72e7 1204 debian-policy_3.9.1.0.dsc
 af1c2192f6fc3c241618b48688f4d714aa630da2 690539 debian-policy_3.9.1.0.tar.gz
 1a94fda2ee6ad584efc2dab420178b993b028545 1852358 debian-policy_3.9.1.0_all.deb
Checksums-Sha256: 
 e81bc2f72659dd75a94ee4b6ba3dfe26ddf09811ece2e00cf2ebf9372ca68b98 1204 debian-policy_3.9.1.0.dsc
 7322f07e9bcd80dc3379f2545e7be7b93a2dc48b30b490b6277082024d98e847 690539 debian-policy_3.9.1.0.tar.gz
 facfbcbc037f7fb768cb9a42f72da3bff750922b8828fce633cc400012a71744 1852358 debian-policy_3.9.1.0_all.deb
Files: 
 10aae2bd3a3c14fb6853f26b9b97de55 1204 doc optional debian-policy_3.9.1.0.dsc
 3a8ac906da51c3574c6e92aa6c12af8e 690539 doc optional debian-policy_3.9.1.0.tar.gz
 182e7d0f26b29101150014c9bd2fa8eb 1852358 doc optional debian-policy_3.9.1.0_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkxNE9EACgkQ+YXjQAr8dHZzsACg2tBvXhJKJNRtTDg2XwJdG1es
RzcAoI2YCA0+mnxQa4QapbxlH44szEML
=8Iyg
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 02 Sep 2010 07:32:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:44:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.